summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authorRoberto Hueso Gómez <rhueso@soleta.eu>2020-10-19 13:38:11 +0200
committerOpenGnSys Support Team <soporte-og@soleta.eu>2020-10-22 12:50:37 +0200
commit4972d15ecd21a6f8dfe6f8451d19ac678fa2865b (patch)
tree9cf270d2e9c9522a0f4590864082c14f96999a63 /installer
parenta0dd47a79ca4d5a06979fe22827bf7d4ea178fb7 (diff)
#988 Read json config file in scripts
This patch implements the function source_json_config() that is used to read the new ogserver.json config file in the scripts. This replaces the old 'source .../ogserver.cfg'. Co-authored-by: Javier Sánchez Parra <jsanchez@soleta.eu>
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/opengnsys_export.sh6
-rwxr-xr-xinstaller/opengnsys_import.sh5
-rwxr-xr-xinstaller/opengnsys_update.sh7
3 files changed, 13 insertions, 5 deletions
diff --git a/installer/opengnsys_export.sh b/installer/opengnsys_export.sh
index 67ad008e..1fe7e081 100755
--- a/installer/opengnsys_export.sh
+++ b/installer/opengnsys_export.sh
@@ -57,7 +57,7 @@ if ! which realpath &>/dev/null ; then
fi
# Comprobamos acceso a ficheros de configuración
-if ! [ -r $OPENGNSYS/etc/ogserver.cfg ]; then
+if ! [ -r $OPENGNSYS/etc/ogserver.json ]; then
echo "$PROG: ERROR: Sin acceso a la configuración de OpenGnsys." | tee -a $FILESAL
exit 3
fi
@@ -74,7 +74,9 @@ done
# Exportar la base de datos
echo "Exportamos la información de la base de datos."
-source $OPENGNSYS/etc/ogserver.cfg
+source $OPENGNSYS/lib/ogfunctions.sh || exit 1
+source_json_config $OPENGNSYS/etc/ogserver.json
+
# Crear fichero temporal de acceso a la BD
MYCNF=$(mktemp /tmp/.my.cnf.XXXXX)
chmod 600 $MYCNF
diff --git a/installer/opengnsys_import.sh b/installer/opengnsys_import.sh
index 0962e34b..d49c3312 100755
--- a/installer/opengnsys_import.sh
+++ b/installer/opengnsys_import.sh
@@ -278,7 +278,7 @@ if ! [ -r $BACKUPFILE ]; then
fi
# Comprobamos acceso a ficheros de configuración
-if ! [ -r $OPENGNSYS/etc/ogserver.cfg ]; then
+if ! [ -r $OPENGNSYS/etc/ogserver.json ]; then
echo "$PROG: ERROR: Sin acceso a la configuración de OpenGnsys." | tee -a $FILESAL
exit 3
fi
@@ -333,7 +333,8 @@ fi
# MYSQL
echo " * Importamos informacion mysql."
-source $OPENGNSYS/etc/ogserver.cfg
+source $OPENGNSYS/lib/ogfunctions.sh || exit 1
+source_json_config $OPENGNSYS/etc/ogserver.json
# Crear fichero temporal de acceso a la BD
if [ ! -r $MYCNF ]; then
chmod 600 $MYCNF
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index bd689008..11c64a8e 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -52,8 +52,13 @@ if [ ! -d $INSTALL_TARGET ]; then
echo "ERROR: OpenGnsys is not installed, cannot update!!"
exit 1
fi
+
+source $INSTALL_TARGET/lib/ogfunctions.sh || exit 1
+
# Cargar configuración de acceso a la base de datos.
-if [ -r $INSTALL_TARGET/etc/ogserver.cfg ]; then
+if [ -r $INSTALL_TARGET/etc/ogserver.json ]; then
+ source_json_config $INSTALL_TARGET/etc/ogserver.json
+elif [ -r $INSTALL_TARGET/etc/ogserver.cfg ]; then
source $INSTALL_TARGET/etc/ogserver.cfg
elif [ -r $INSTALL_TARGET/etc/ogAdmServer.cfg ]; then
source $INSTALL_TARGET/etc/ogAdmServer.cfg